pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/math Reorder the linker tests in the configure script ...
details: https://anonhg.NetBSD.org/pkgsrc/rev/3f071282e794
branches: trunk
changeset: 515044:3f071282e794
user: jlam <jlam%pkgsrc.org@localhost>
date: Thu Jun 22 18:52:00 2006 +0000
description:
Reorder the linker tests in the configure script so that we test for
C libraries *before* we throw the AC_LANG([C++]) switch. This makes
the generated configure script use the C compiler/linker instead of
the C++ compiler/linker when running tests. This avoids errors like
these based on not correctly getting the function signature correct:
conftest.cc:36: error: nonnull argument with out-of-range operand
number (arg 1, operand 2)
This error was causing the configure script to not detect *gettext()
routines and not building and installing the *.mo files. This fixes
the error noted in the bulk build results:
http://mail-index.netbsd.org/pkgsrc-bulk/2006/06/20/0000.html
diffstat:
math/qalculate-bases/distinfo | 4 +-
math/qalculate-bases/patches/patch-aa | 3957 ++++++++++++++++++++++++++
math/qalculate-bases/patches/patch-ab | 72 +
math/qalculate-currency/distinfo | 4 +-
math/qalculate-currency/patches/patch-aa | 3972 ++++++++++++++++++++++++++
math/qalculate-currency/patches/patch-ab | 72 +
math/qalculate-gtk/distinfo | 4 +-
math/qalculate-gtk/patches/patch-ab | 4437 ++++++++++++++++++++++++++++++
math/qalculate-gtk/patches/patch-ac | 76 +
math/qalculate-units/distinfo | 4 +-
math/qalculate-units/patches/patch-aa | 3972 ++++++++++++++++++++++++++
math/qalculate-units/patches/patch-ab | 72 +
math/qalculate/distinfo | 5 +-
math/qalculate/patches/patch-ab | 4038 +++++++++++++++++++++++++++-
math/qalculate/patches/patch-ad | 62 +
15 files changed, 20720 insertions(+), 31 deletions(-)
diffs (truncated from 20859 to 300 lines):
diff -r c389e8aa5935 -r 3f071282e794 math/qalculate-bases/distinfo
--- a/math/qalculate-bases/distinfo Thu Jun 22 15:47:54 2006 +0000
+++ b/math/qalculate-bases/distinfo Thu Jun 22 18:52:00 2006 +0000
@@ -1,5 +1,7 @@
-$NetBSD: distinfo,v 1.4 2006/06/14 20:14:21 adam Exp $
+$NetBSD: distinfo,v 1.5 2006/06/22 18:52:00 jlam Exp $
SHA1 (qalculate-bases-0.9.4.tar.gz) = 71f4071bfd6217eb30788c41e95c531cca55b610
RMD160 (qalculate-bases-0.9.4.tar.gz) = be0c2e11eaca3dfce064b751903249486264f857
Size (qalculate-bases-0.9.4.tar.gz) = 368685 bytes
+SHA1 (patch-aa) = 8bafc00b8daa26fe72c88f7415f8dceaf748b3e1
+SHA1 (patch-ab) = f162586746600d18621068ca6af94c9f00f559dd
diff -r c389e8aa5935 -r 3f071282e794 math/qalculate-bases/patches/patch-aa
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/math/qalculate-bases/patches/patch-aa Thu Jun 22 18:52:00 2006 +0000
@@ -0,0 +1,3957 @@
+$NetBSD: patch-aa,v 1.1 2006/06/22 18:52:00 jlam Exp $
+
+--- configure.orig 2006-06-02 01:51:11.000000000 -0400
++++ configure
+@@ -20064,32 +20064,184 @@ if test "x$GCC" = "xyes"; then
+ fi
+
+
++GETTEXT_PACKAGE=qalculate-bases
+
+-echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
+-echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
+-if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
++
++cat >>confdefs.h <<_ACEOF
++#define GETTEXT_PACKAGE "$GETTEXT_PACKAGE"
++_ACEOF
++
++
++ALL_LINGUAS="nl sv"
++
++
++
++for ac_header in locale.h
++do
++as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
++ echo "$as_me:$LINENO: checking for $ac_header" >&5
++echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
++fi
++echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
++echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+ else
+- ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lpthread $LIBS"
++ # Is the header compilable?
++echo "$as_me:$LINENO: checking $ac_header usability" >&5
++echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h. */
++$ac_includes_default
++#include <$ac_header>
++_ACEOF
++rm -f conftest.$ac_objext
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++ (eval $ac_compile) 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } &&
++ { ac_try='test -z "$ac_cxx_werror_flag"
++ || test ! -s conftest.err'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; } &&
++ { ac_try='test -s conftest.$ac_objext'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; }; then
++ ac_header_compiler=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
+
+-/* Override any gcc2 internal prototype to avoid an error. */
+-#ifdef __cplusplus
+-extern "C"
+-#endif
+-/* We use char because int might match the return type of a gcc2
+- builtin and then its argument prototype would still apply. */
+-char pthread_create ();
++ac_header_compiler=no
++fi
++rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
++echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
++echo "${ECHO_T}$ac_header_compiler" >&6
++
++# Is the header present?
++echo "$as_me:$LINENO: checking $ac_header presence" >&5
++echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++#include <$ac_header>
++_ACEOF
++if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
++ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } >/dev/null; then
++ if test -s conftest.err; then
++ ac_cpp_err=$ac_cxx_preproc_warn_flag
++ ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
++ else
++ ac_cpp_err=
++ fi
++else
++ ac_cpp_err=yes
++fi
++if test -z "$ac_cpp_err"; then
++ ac_header_preproc=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ ac_header_preproc=no
++fi
++rm -f conftest.err conftest.$ac_ext
++echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
++echo "${ECHO_T}$ac_header_preproc" >&6
++
++# So? What about this header?
++case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
++ yes:no: )
++ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
++echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
++ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
++echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
++ ac_header_preproc=yes
++ ;;
++ no:yes:* )
++ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
++echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
++ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
++echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
++ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
++echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
++ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
++echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
++ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
++echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
++ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
++echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
++ (
++ cat <<\_ASBOX
++## ------------------------------------------ ##
++## Report this to the AC_PACKAGE_NAME lists. ##
++## ------------------------------------------ ##
++_ASBOX
++ ) |
++ sed "s/^/$as_me: WARNING: /" >&2
++ ;;
++esac
++echo "$as_me:$LINENO: checking for $ac_header" >&5
++echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ eval "$as_ac_Header=\$ac_header_preproc"
++fi
++echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
++echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
++
++fi
++if test `eval echo '${'$as_ac_Header'}'` = yes; then
++ cat >>confdefs.h <<_ACEOF
++#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
++_ACEOF
++
++fi
++
++done
++
++ if test $ac_cv_header_locale_h = yes; then
++ echo "$as_me:$LINENO: checking for LC_MESSAGES" >&5
++echo $ECHO_N "checking for LC_MESSAGES... $ECHO_C" >&6
++if test "${am_cv_val_LC_MESSAGES+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++#include <locale.h>
+ int
+ main ()
+ {
+-pthread_create ();
++return LC_MESSAGES
+ ;
+ return 0;
+ }
+@@ -20103,7 +20255,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+- { ac_try='test -z "$ac_c_werror_flag"
++ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+@@ -20116,885 +20268,361 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+- ac_cv_lib_pthread_pthread_create=yes
++ am_cv_val_LC_MESSAGES=yes
+ else
+ echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+
+-ac_cv_lib_pthread_pthread_create=no
++am_cv_val_LC_MESSAGES=no
+ fi
+ rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+-LIBS=$ac_check_lib_save_LIBS
+-fi
+-echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_create" >&5
+-echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6
+-if test $ac_cv_lib_pthread_pthread_create = yes; then
+- LIBS="$LIBS -lpthread"
+ fi
++echo "$as_me:$LINENO: result: $am_cv_val_LC_MESSAGES" >&5
++echo "${ECHO_T}$am_cv_val_LC_MESSAGES" >&6
++ if test $am_cv_val_LC_MESSAGES = yes; then
+
++cat >>confdefs.h <<\_ACEOF
++#define HAVE_LC_MESSAGES 1
++_ACEOF
+
+-ac_ext=cc
+-ac_cpp='$CXXCPP $CPPFLAGS'
+-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+-
+-
+-
+-# Check whether --with-cln-prefix or --without-cln-prefix was given.
+-if test "${with_cln_prefix+set}" = set; then
+- withval="$with_cln_prefix"
+- cln_config_prefix="$withval"
+-else
+- cln_config_prefix=""
+-fi;
++ fi
++ fi
++ USE_NLS=yes
+
+-# Check whether --with-cln-exec-prefix or --without-cln-exec-prefix was given.
+-if test "${with_cln_exec_prefix+set}" = set; then
+- withval="$with_cln_exec_prefix"
+- cln_config_exec_prefix="$withval"
+-else
+- cln_config_exec_prefix=""
+-fi;
+-# Check whether --enable-clntest or --disable-clntest was given.
+-if test "${enable_clntest+set}" = set; then
+- enableval="$enable_clntest"
+
+-else
+- enable_clntest=yes
+-fi;
++ gt_cv_have_gettext=no
+
+-if test x$cln_config_exec_prefix != x ; then
+- cln_config_args="$cln_config_args --exec-prefix=$cln_config_exec_prefix"
+- if test x${CLN_CONFIG+set} != xset ; then
+- CLN_CONFIG=$cln_config_exec_prefix/bin/cln-config
+- fi
+-fi
+-if test x$cln_config_prefix != x ; then
+- cln_config_args="$cln_config_args --prefix=$cln_config_prefix"
Home |
Main Index |
Thread Index |
Old Index